no wireless networks detected during install of Quantal on Panda board

Bug #1042918 reported by Carla Sella on 2012-08-28
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Tim Gardner
Quantal
Undecided
Tim Gardner
linux-firmware (Ubuntu)
Undecided
Tim Gardner
Quantal
Undecided
Tim Gardner
linux-ti-omap4 (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Unassigned
ubiquity (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Unassigned

Bug Description

I was testing using this image: http://cdimage.ubuntu.com/daily-live/20120828.2/quantal-desktop-armhf+omap4.img on a Panda board, just after booting from a SD card no wireless network is detected, have to use wired network to carry on installing.
I'm attaching a picture.

--

Previously bug https://launchpad.net/bugs/1032779 was filed against missing wifi, and is now marked as fix released, but there is still no wlan detected with recent kernel & firmware packages on the Pandaboard.

Carla Sella (carla-sella) wrote :
affects: usb-creator (Ubuntu) → ubiquity (Ubuntu)
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1042918

tags: added: iso-testing
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubiquity (Ubuntu):
status: New → Confirmed
Dimitri John Ledkov (xnox) wrote :

Carla Sella, instead of taking pictures, it is better to take screenshots, save them on a USB stick (of the sd card) and upload those. Usually a screenshot is far smaller in size than a picture. Pictures are good during pre-boot or if there is graphics problems (e.g. flickering).

description: updated
Carla Sella (carla-sella) wrote :

Hello Dmitrijs, I tried to take a screenshot, but it did not work, I had to take a picture, nothing else I know worked.
Anyway next time I will try again with a screenshot.
Thanks.

Dimitri John Ledkov (xnox) wrote :

Oh... in that case http://pad.lv/691736 "cannot take screenshot when indicators are open" is not expired, but confirmed.

Well done on finding more bugs =)

Dimitri John Ledkov (xnox) wrote :

Which turns out to be bug http://pad.lv/10905 X.org limitation.

Tim Gardner (timg-tpi) wrote :

Carla - I need a copy of the kernel dmesg so I can tell what version of the kernel you've booted and if firmware is really missing (which is my suspicion). Please start a console and copy the output of dmesg into a file on a USB stick which you can then attach to this bug report.

Changed in linux-firmware (Ubuntu):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Oliver Grawert (ogra) wrote :

[ 76.843902] wl12xx: ERROR could not get nvs file ti-connectivity/wl1271-nvs.bin: -2

is thd snippet that should couont here ...

my kernel is:

ubuntu@panda:~$ uname -a
Linux panda 3.5.0-209-omap4 #15-Ubuntu SMP PREEMPT Wed Aug 22 17:32:25 UTC 2012 armv7l armv7l armv7l GNU/Linux

ubuntu@panda:~$ dpkg -l |grep firmware
ii linux-firmware 1.90 all Firmware for Linux kernel drivers

ubuntu@panda:~$ ls /lib/firmware/ti-connectivity/|grep nvs
ubuntu@panda:~$

Tim Gardner (timg-tpi) wrote :

ti-connectivity: Restore nvs firmware. The kernel neglected to declare its use of the nvs files via the MODULE_FIRMWARE statement.

Changed in linux-firmware (Ubuntu Quantal):
status: In Progress → Fix Committed
Changed in linux-ti-omap4 (Ubuntu Quantal):
status: New → Invalid
Changed in ubiquity (Ubuntu Quantal):
status: Confirmed → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.91

---------------
linux-firmware (1.91) quantal; urgency=low

  * ti-connectivity: Restore nvs firmware
    The kernel neglected to declare its use of the nvs files
    via the MODULE_FIRMWARE statement.
    -LP: #1042918
 -- Tim Gardner <email address hidden> Wed, 29 Aug 2012 08:54:01 -0600

Changed in linux-firmware (Ubuntu Quantal):
status: Fix Committed → Fix Released
Tim Gardner (timg-tpi) on 2012-08-29
Changed in linux-ti-omap4 (Ubuntu Quantal):
status: Invalid → In Progress
Changed in linux (Ubuntu Quantal):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → Fix Committed
Carla Sella (carla-sella) wrote :

@ Tim :
I see Oliver gave you the answers you needed, sorry I was at work couldn't answer you sooner.
Is it ok with the info you have ? Do you need anything else ?

Dimitri John Ledkov (xnox) wrote :

@ Carla
I think it's fine now. And fixes for this bug are flowing into the archive now =) (one released, one pending next kernel upload)

Dimitri John Ledkov (xnox) wrote :

WIth latest linux-firmware I do have wifi on my panda server.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-14.15

---------------
linux (3.5.0-14.15) quantal-proposed; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: fs: d_revalidate methods may be passed a NULL nameidata
    - LP: #1038075

  [ Dave Airlie ]

  * SAUCE: drm/vmwgfx: add MODULE_DEVICE_TABLE so vmwgfx loads at boot
    - LP: #1039157

  [ Ike Panhc ]

  * [Config] Enable CONFIG_DEVPTS_MULTIPLE_INSTANCES for highbank
    - LP: #1038259

  [ Tim Gardner ]

  * SAUCE: wlcore: Declare MODULE_FIRMWARE usage
    - LP: #1042918

  [ Upstream Kernel Changes ]

  * asus-nb-wmi: add some video toggle keys
    - LP: #1022427
  * [media] uvcvideo: Fix frame drop in bulk video stream
  * [media] uvcvideo: Fix alternate setting selection
  * Input: wacom - add support to Cintiq 22HD
    - LP: #1043733
  * ALSA: HDA: Create phantom jacks for fixed inputs and outputs
  * ALSA: HDA: Support single 3-pin jack without VREF on the actual pin
    - LP: #1018262
  * ALSA: hda - give 3-pin jack the name "Headphone Mic Jack"
  * ALSA: hda - Do not set GPIOs for speakers on IDT if there are no
    speakers
    - LP: #1040077
  * ALSA: hda - Fix pop noise in headphones on S3 for Asus X55A, X55V
    - LP: #1034779
  * ALSA: hda - Always call standard unsolicited event for Realtek codecs
    - LP: #1021192
  * ALSA: hda - Add the inverted digital mic workaround to Realtek codecs
  * ALSA: hda - Add inverted mic quirks for Asus U41SV, Acer 1810TZ and
    AOD260
    - LP: #1006089, #996611, #997227
  * ALSA: hda - don't create dysfunctional mixer controls for ca0132
    - LP: #1038651
  * ALSA: hda - Don't send invalid volume knob command on IDT 92hd75bxx
 -- Leann Ogasawara <email address hidden> Thu, 06 Sep 2012 10:06:28 -0700

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.1 KiB)

This bug was fixed in the package linux-ti-omap4 - 3.5.0-210.16

---------------
linux-ti-omap4 (3.5.0-210.16) quantal-proposed; urgency=low

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.5.0-14.16

  [ Ricardo Salveti de Araujo ]

  * [Config] Disable CONFIG_OMAP2_DSS_VENC
  * [Config] Disable DSS_DSI, not yet compatible with DSS_HL
  * [Config] CONFIG_DRM_OMAP_NUM_CRTCS should be 2 for OMAP4
  * [Config] Reducing VRAM size as it's not relevant anymore

  [ Upstream Kernel Changes ]

  * drm: remove unused fxn prototypes
  * staging: omapdrm: Fix DMM sparse warnings
  * staging: omapdrm: Remove unnecessary memcpy
  * omapdrm: use alloc_ordered_workqueue() instead of UNBOUND w/ max_active
    = 1
  * drm/omap: hold a ref to the bo while waiting for flip
  * drm: refcnt drm_framebuffer
  * OMAPDSS: workaround 'operation stopped while reading edid' error
  * WIP: OMAPDSS: enable either high level or low level API
  * omap2+: use dss_dispc hwmod for omapdrm
  * WIP: drm/omap: use omapdss low lever API (v4)
  * omapdss: fixing support for the low level API

  [ Ubuntu: 3.5.0-14.16 ]

  * SAUCE: apple-gmux: Fix index read functions
  * SAUCE: input: Cypress PS/2 Trackpad move PSMOUSE_CYPRESS enum
    - LP: #1041594
  * SAUCE: Input: synaptics - Adjust threshold for treating position values
    as negative
    - LP: #1046512
  * mei: check for error codes that mei_flow_ctrl_creds retuns
  * mei: make mei_write_message more readable
  * mei: mei_irq_thread_write_handler check for overflow
  * mei: group wd_interface_reg with watchdog variables within struct
    mei_device
  * mei: don't query HCSR for host buffer depth
  * mei: revamp host buffer interface function
  * mei: mei_device can be const for mei register access functions
  * mei: remove write only wariable wd_due_counter
  * mei: mei_wd_host_init: update the comment
  * mei: introduce mei_data2slots wrapper
  * mei: streamline the _mei_irq_thread_close/ioctol functions
  * mei: mei_irq_thread_write_handler - line break fix
  * mei: use module_pci_driver
  * mei: fix device stall after wd is stopped

  [ Ubuntu: 3.5.0-14.15 ]

  * SAUCE: fs: d_revalidate methods may be passed a NULL nameidata
    - LP: #1038075
  * SAUCE: drm/vmwgfx: add MODULE_DEVICE_TABLE so vmwgfx loads at boot
    - LP: #1039157
  * [Config] Enable CONFIG_DEVPTS_MULTIPLE_INSTANCES for highbank
    - LP: #1038259
  * SAUCE: wlcore: Declare MODULE_FIRMWARE usage
    - LP: #1042918
  * asus-nb-wmi: add some video toggle keys
    - LP: #1022427
  * [media] uvcvideo: Fix frame drop in bulk video stream
  * [media] uvcvideo: Fix alternate setting selection
  * Input: wacom - add support to Cintiq 22HD
    - LP: #1043733
  * ALSA: HDA: Create phantom jacks for fixed inputs and outputs
  * ALSA: HDA: Support single 3-pin jack without VREF on the actual pin
    - LP: #1018262
  * ALSA: hda - give 3-pin jack the name "Headphone Mic Jack"
  * ALSA: hda - Do not set GPIOs for speakers on IDT if there are no
    speakers
    - LP: #1040077
  * ALSA: hda - Fix pop noise in headphones on S3 for Asus X55A, X55V
    - LP: #1034779
  * ALSA: hda - Always call standard unsolicited event for Realtek codecs
    - LP: #1021192
  * ALSA: hda - ...

Read more...

Changed in linux-ti-omap4 (Ubuntu Quantal):
status: In Progress → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments